Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type DateRangeFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface DateRangeFieldValidator

This validator checks that a date field has a value within a specified range.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
min | no |  | Date property. The minimum the date must be.
minExpression | no |  | OGNL expression used to obtain the minimum the date must be.
max | no |  | Date property. The maximum date can be.
maxExpression | no |  | OGNL expression used to obtain the maximum date can be.
maxExpression | no |  | OGNL expression used to obtain the maximum date can be.
dateFormat | no |  | Format used to parse min/max value.

If neither min nor max is set, nothing will be done.

Example code:

     @DateRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "2005/01/01", max = "2005/12/31")

Version:
  $Id$
Author:
  Rainer Hermanns

Optional Element Summary
`String` | `dateFormat` Date format used to parse min and max value
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`String` | `max` Date property.
`String` | `maxExpression` An expression which will be evaluated against the Value Stack to get the max value
`String` | `message` The default error message for this validator.
`String[]` | `messageParams` Additional params to be used to customize message - will be evaluated against the Value Stack
`String` | `min` Date property.
`String` | `minExpression` An expression which will be evaluated against the Value Stack to get the min value
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

### min

    public abstract String min

  Date property. The minimum the date must be.

  Default:
    ""

### minExpression

    public abstract String minExpression

  An expression which will be evaluated against the Value Stack to get the min value

  Default:
    ""

### max

    public abstract String max

  Date property. The maximum date can be.

  Default:
    ""

### maxExpression

    public abstract String maxExpression

  An expression which will be evaluated against the Value Stack to get the max value

  Default:
    ""

### dateFormat

    public abstract String dateFormat

  Date format used to parse min and max value

  Default:
    ""

### message

    public abstract String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### messageParams

    public abstract String[] messageParams

  Additional params to be used to customize message - will be evaluated against the Value Stack

  Default:
    {}

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.